Announcement

Collapse
No announcement yet.

How to install on SC5 ZendOptimizer 3.3.9

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • How to install on SC5 ZendOptimizer 3.3.9

    Hi to All

    I have installed on RHEL 5.4 x86_64 Xeon machine Apache 2.2.14 (Unix) and PHP 5.3.1.
    PHP is compiled with:
    Code:
    ./configure --prefix=/usr/local/php5 
             --with-apxs2=/usr/local/apache2/bin/apxs 
             --with-config-file-path=/usr/local/apache2/conf 
             --with-unixODBC=/usr/local/unixODBC 
             --with-oci8=/u01/app/oracle/product/11.2.0/my_db1 
             --with-mysql=/usr/local/mysql 
             --with-gd 
             --with-zlib 
             --enable-so 
             --enable-mbstring 
             --enable-zip 
             --enable-sigchild
    Configure, make and make install runs correctly.

    Now, I have downloade ZendOptimizer 3.2.9 from Zend Company and I have posted the file ZendOptimizer.so in the folder /usr/local/Zend.

    in my PHP.INI I have inserted this line at end
    Code:
    [Zend]
    zend_optimizer=version=3.3.9
    zend_extension=/usr/local/Zend
    according with INSTALL README provided by Zend
    Locate the ZendOptimizer.so (Unix)
    Add the following line to your php.ini file:
    Linux and Mac OS X: zend_extension=<full_path_to_ZendOptimizer.so>
    I restart apache and then test with diagnosis.php
    The page return some problems:
    Problem Zend:
    Problem ZendId execute Permission
    Zend Optimizer Not Installed!


    Can Anyone help me ?

    Best Regards
    Gaetano
    Thank You and Best Regards
    Gaetano

  • #2
    Re: How to install on SC5 ZendOptimizer 3.3.9

    From the error message I would check the file permissions on the file (ZendOptimizer.so), as well as the permissions to the Zend DIR itself.
    The 2nd line seems to point to failure on executing the file.

    Regards,
    Scott.

    Comment


    • #3
      Re: How to install on SC5 ZendOptimizer 3.3.9

      ZendOptimizer doesn't run under PHP 5.3 according to a number of posts across the internet, including Zend's website.

      I've just learned the hard way after upgrading to UBuntu Lucid.

      So now I have SC rendered totally useless.

      The GuiGuy
      ... from Down Under

      Comment


      • #4
        Re: How to install on SC5 ZendOptimizer 3.3.9

        Yes .. surprising how PHP 5.3 snuck up on Zend like that

        Remove 5.3 and install 5.2 from command line.

        Regards,
        Scott.

        Comment


        • #5
          Re: How to install on SC5 ZendOptimizer 3.3.9

          [quote author=ScottMartin link=topic=1333.msg4628#msg4628 date=1272830963]
          Yes .. surprising how PHP 5.3 snuck up on Zend like that
          [/quote]

          http://ubuntuforums.org/showthread.php?t=1459163
          The GuiGuy
          ... from Down Under

          Comment


          • #6
            Re: How to install on SC5 ZendOptimizer 3.3.9

            So how do you like 10.4?

            I tried a failed upgrade of my media PC on 10.4/RC. (I usually install upgrades from scratch)
            I have created a CD of the released ISO, but I have not installed.

            Regards,
            Scott.

            Comment


            • #7
              Re: How to install on SC5 ZendOptimizer 3.3.9

              [quote author=ScottMartin link=topic=1333.msg4642#msg4642 date=1272979684]
              I tried a failed upgrade of my media PC on 10.4/RC. (I usually install upgrades from scratch)
              I have created a CD of the released ISO, but I have not installed.
              [/quote]

              Hi Scott,

              Everything seems a little 'smoother', if you know what I mean. Using KDE, Amarok is finally worthwhile again. Under Gnome, hate the way they moved the window icons to the top left . Very frustrating to get used to. Got some weird boot issues on a PC using ATI graphics. the Nvidia based boxes are good. However, the slow USB transfer speeds for large files remain, which is a real PITA for me because I do a lot of video work.

              My hosting service is using PHP 5.3, so I have left 5.3 in Ubuntu. I'm using PHPrunner (out of XP in a virtualbox) for the fast and dirty stuff and hand coding for the rest.


              The GuiGuy
              ... from Down Under

              Comment


              • #8
                Re: How to install on SC5 ZendOptimizer 3.3.9

                Just came across this:
                http://www.viart.com/viart_and_zend_...h_php_5_3.html

                If zend does not update zendoptimizer then SC users could be stuck with PHP5.2 for awhile...

                BTW, I tried regressing PHP 5.2 in Ubuntu Lucid - http://www.google.com.au/url?sa=t&amp;so...qitm8_EsO_TTcw -

                I finished up with a whole bunch of dependency issues, so beware if you're thinking of Ubuntu Lucid.
                The GuiGuy
                ... from Down Under

                Comment

                Working...
                X